# batch.maxbytes

Limits the serialized size of each batched HTTP payload.

This parameter applies to omhttp: HTTP Output Module.

Name:

  batch.maxbytes

Scope:

  input

Type:

  Size

Default:

  input=10485760 (10MB)

Required?:

  no

Introduced:

  Not specified

## Description

`batch.maxbytes` and `maxbytes` do the same thing, `maxbytes` is included for backwards compatibility.

This parameter specifies the maximum size in bytes for each batch.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        batch="on"
        batchMaxBytes="5m"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.